# Translations

Translations can now be made using [Weblate](https://weblate.cryptpad.fr). We may still accept PRs for the internal translation files, but we won't provide support for this.

## Request a new language

* New languages require some minor changes in the code which we have to apply manually. If you want to translate CryptPad into a new language, please send us an email at weblate@cryptpad.fr
* Please note that members of the current development team are only fluent in English and French, so additional languages will require ongoing contributions in order to stay up to date.
  * If a language becomes too outdated, we will consider dropping it from the available language until it is fixed.
  * Please refrain from asking for a new language if you are not able to provide a sufficiently translated version and maintain it or to find other users that can do so.

## Become a reviewer

* We need reviewers for all the languages except English and French. Their job will be to approve/reject/discuss the translations made by other contributors to this language, using the Weblate UI.
* If you want to become a reviewer for a language, please write us an email at weblate@cryptpad.fr
* Please tell us if you want to stop being a reviewer (even momentarily) so that we can find a replacement as soon as posible

## Translate an existing language

* All translations can be done using the Weblate UI. For better help about how to use the tool, please check the [Weblate documentation](https://docs.weblate.org/en/latest/).
* Our Weblate instance is configured to always require approval for changes.

### Update an existing translation

* Existing translations that have already been approved can't be changed directly. Users can only make suggestions, and the reviewers will have to approve the changes if they agree.

### Translate a new key

* Untranslated strings can be changed by any user and the translation can be edited by others as long as it has not been approved by a reviewer.
